Package winbind 2:3.6.3-2ubuntu1 failed to install/upgrade: ErrorMessage: subprocess new pre-removal script returned error exit status 143

Bug #980712 reported by Marius B. Kotsbak on 2012-04-13
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
samba (Ubuntu)
Low
Unassigned

Bug Description

Upgrading is stuck at:

Preparing to replace winbind 2:3.6.3-2ubuntu1 (using .../winbind_2%3a3.6.3-2ubuntu2_i386.deb) ...

Related running processes:

$ ps ax|grep winbind
 1439 ? S 0:00 /bin/sh /etc/rc2.d/S20winbind start
 1474 ? Ss 0:00 /usr/sbin/winbindd
 1480 ? S 0:00 /usr/sbin/winbindd
15942 ? SN 0:00 /bin/sh /usr/sbin/invoke-rc.d winbind stop
15958 ? SN 0:00 /bin/sh /etc/init.d/winbind stop
19768 pts/4 Ss+ 0:01 /usr/bin/dpkg --force-overwrite --status-fd 20 --unpack --auto-deconfigure /var/cache/apt/archives/winbind_2%3a3.6.3-2ubuntu2_i386.deb /var/cache/apt/archives/libwbclient0_2%3a3.6.3-2ubuntu2_i386.deb /var/cache/apt/archives/smbclient_2%3a3.6.3-2ubuntu2_i386.deb /var/cache/apt/archives/samba-common_2%3a3.6.3-2ubuntu2_all.deb
19775 pts/4 S+ 0:00 /bin/sh /var/lib/dpkg/info/winbind.prerm upgrade 2:3.6.3-2ubuntu2
19776 pts/4 S+ 0:00 /bin/sh /usr/sbin/invoke-rc.d winbind stop
19792 pts/4 S+ 0:00 /bin/sh /etc/init.d/winbind stop

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: winbind 2:3.6.3-2ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14
Uname: Linux 3.2.0-23-generic-pae i686
ApportVersion: 2.0.1-0ubuntu2
Architecture: i386
Date: Fri Apr 13 13:10:38 2012
EcryptfsInUse: Yes
ProcEnviron:
 LANGUAGE=nb_NO:nb:no_NO:no:nn_NO:nn:en
 TERM=xterm
 PATH=(custom, user)
 LANG=nb_NO.UTF-8
 SHELL=/bin/bash
SourcePackage: samba
UpgradeStatus: No upgrade log present (probably fresh install)

Marius B. Kotsbak (mariusko) wrote :
summary: - Winbind package fails to upgrade
+ Package winbind 2:3.6.3-2ubuntu1 failed to install/upgrade:
+ ErrorMessage: subprocess new pre-removal script returned error exit
+ status 143
James Page (james-page) on 2012-04-27
Changed in samba (Ubuntu):
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in samba (Ubuntu):
status: New → Confirmed
denni (nomore-fate) wrote :

how to solve it??

Changed in samba (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed
denni (nomore-fate) wrote :

i mean :

winbind
 libpam-winbind
Sub-process /usr/bin/dpkg returned an error code (1)

denni (nomore-fate) wrote :

hi guys!i need your help, can anybody solve this?

dpkg: dependency problems prevent configuration of winbind:
 winbind depends on libwbclient0 (= 2:3.6.3-2ubuntu2.1); however:
  Version of libwbclient0 on system is 2:3.6.3-2ubuntu2.2.
 winbind depends on samba-common (= 2:3.6.3-2ubuntu2.1); however:
  Version of samba-common on system is 2:3.6.3-2ubuntu2.2.
dpkg: error processing winbind (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                          dpkg: dependency problems prevent configuration of libpam-winbind:
 libpam-winbind depends on libwbclient0 (= 2:3.6.3-2ubuntu2); however:
  Version of libwbclient0 on system is 2:3.6.3-2ubuntu2.2.
 libpam-winbind depends on winbind (= 2:3.6.3-2ubuntu2); however:
  Version of winbind on system is 2:3.6.3-2ubuntu2.1.
 libpam-winbind depends on samba-common (= 2:3.6.3-2ubuntu2); however:
  Version of samba-common on system is 2:3.6.3-2ubuntu2.2.
dpkg: error processing libpam-winbind (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                          Errors were encountered while processing:
 winbind
 libpam-winbind

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers